TIBCO Enterprise Runtime for R System Requirements - 4.2.x

To view the System requirements for a different version, please select it in the list below:




System requirement changes from the previous version (4.1.x)

Category Requirement
Operating System Added Support for
  • Mac OS X 10.11 (El Capitan)
  • Mac OS X 10.10 (Yosemite)
RStudio IDE Compatibility Updated Supported Version
  • RStudio Desktop 0.99.903
  • RStudio Server 0.99.903
KNIME Compatibility Updated Supported Version
  • KNIME 3.2.0 (Windows 64-bit only)

Planned system requirement changes for the next version

Listed below are the currently known planned system requirement changes for the next version. This information is provided for informational purposes only and is subject to change without notice.

  • There are no currently known system requirements changes

System requirements for version 4.2.x

TIBCO Enterprise Runtime for R 4.2.x System Requirements
Category Requirement
Operating System Any of the following:
  • Microsoft Windows 10
  • Microsoft Windows 8, 8.1
  • Microsoft® Windows 7
  • Microsoft Windows Server 2012
  • Microsoft Windows Server 2008
  • Red Hat Enterprise Linux 5, 6 (Intel/AMD x64)
  • SUSE Linux Enterprise 11 (Intel/AMD x64)
  • Mac OS X 10.11 (El Capitan)
  • Mac OS X 10.10 (Yosemite)

NOTE: 64-bit Operating System strongly recommended.
Hard Disk Space 220 MB
RStudio IDE Compatibility RStudio Desktop 0.99.903 (Available for download here)
RStudio Server 0.99.903

TIBCO Enterprise Runtime for R has been tested for compatibility with the versions of the RStudio IDE listed above. Not all features may be supported, and compatibility with future RStudio releases is not guaranteed. For more detailed compatibility information, type help.start() at the TERR command line, and in the resulting landing page, click the link "README for TIBCO Enterprise Runtime for R for RStudio."

RStudio is available under separate open-source software license terms. TIBCO does not warrant, deliver, or support code or other material provided by RStudio, Inc., including but not limited to development tools and packages, and such code or other material does not constitute a part of the TIBCO Enterprise Runtime for R engine.
KNIME Compatibility KNIME 3.2.0 (Windows 64-bit only)

KNIME is available under separate open-source software license terms. TIBCO does not warrant, deliver, or support code or other material provided by KNIME, including but not limited to development tools and packages, and such code or other material does not constitute a part of the TIBCO Enterprise Runtime for R engine.
Java JRE (Optional) Oracle Java JRE 1.6 or higher

NOTE: The following packages supplied with TIBCO Enterprise Runtime for R require a bit-matching (32 bit or 64 bit) version of the Java Runtime Environment (JRE) and the JAVA_HOME environment variable be set to the location of this JRE:

parallel
sjdbc
terrJava